%define upstream_name    File-CounterFile
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Persistent counter class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements a persistent counter class. Each counter is
represented by a separate file in the file system. File locking is applied,
so multiple processes can attempt to access a counter simultaneously
without risk of counter destruction.

You give the file name as the first parameter to the object constructor
('new'). The file is created if it does not exist.

If the file name does not start with "/" or ".", then it is interpreted as
a file relative to '$File::CounterFile::DEFAULT_DIR'. The default value for
this variable is initialized from the environment variable 'TMPDIR', or
_/usr/tmp_ if no environment variable is defined. You may want to assign a
different value to this variable before creating counters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.40.0-11.mga10
+ Revision: 2198716
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-10.mga9
+ Revision: 1803620
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-9.mga8
+ Revision: 1494476
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-8.mga7
+ Revision: 1267919
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1027290
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 939957
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 745953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 684713
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 511536
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 367150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 1.40.0-1.mga3
+ Revision: 304739
- imported package perl-File-CounterFile


* Fri Oct 12 2012 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
